Subject: bug#45693: [two word expansion works, but write-abbrev-file destroys it]

From: Robert Pluim <[email-masked]>
Date: Mon, 11 Jan 2021 21:38:22 +0100

Uwe Brauer <[email-masked]> writes:

>>>> "RP" == Robert Pluim <[email-masked]> writes:
>
>> Uwe Brauer <[email-masked]> writes:
>>>> So does it mean we had better avoid describing this "feature" in the
>>>> docs, until and unless it gets fixed to be more user-friendly?
>>> 
>>> Well, I find it useful and found a real kludge by using two abbrev files
>>> and associated minor modes. I think what is *really* missing is to 
>>> improve/rewrite the write-abbrev-file function.
>
> Thanks, 
>
>     1. I pulled the last GNU Emacs master, 
>
>     2. applied your patch, compiled, 
>
>     3. started emacs -Q
>
>     4. loaded the new abbrev file and
>

Which new abbrev file? You'll need to do at least some
'define-abbrev-table' followed by 'write-abbrev-file' (and the patch
doesnʼt solve the :parents issue).

Robert